class MoveSFX extends SqRootScript
{
	function OnWorldSelect()
	{
		if("Axis" in userparams() && "Change" in userparams())
		{
			DarkUI.TextMessage("Move Particle Effect: " + userparams().Axis + " Axis");
		}
	}
	
	function OnFrobWorldEnd()
	{
		if("Axis" in userparams() && "Change" in userparams())
		{
			SendMessage("SFXMover", "TurnOn", userparams().Axis, userparams().Change);
		}
	}
	
	function OnTurnOn()
	{
		if("MoveValue" in userparams())
		{
			local currentPos = Property.Get("SFXTest", "Position", "Location");
			
			switch(message().data)
			{
				case "X":
					currentPos.x += message().data2 * userparams().MoveValue;
					break;
				case "Y":
					currentPos.y += message().data2 * userparams().MoveValue
					break;
				case "Z":
					currentPos.z += message().data2 * userparams().MoveValue
					break;
			}
			Property.Set("SFXTest", "Position", "Location", currentPos);	
			
			Sound.PlaySchemaAtObject(self, "Button_elev", self);
		}
	}
}